%define major   1
%define lib_name %mklibname svg-cairo %major
%define devel_name %mklibname svg-cairo -d

Name:             libsvg-cairo
Summary:          A SVG library based on cairo
Version:	  0.1.6
Release:	  %mkrel 9
License:          BSD
Group:            System/Libraries
Source:           %{name}-%{version}.tar.xz
URL:              http://cairographics.org/snapshots/
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}svg1-devel

%description
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{lib_name}
Summary:          A SVG library based on cairo
Group:            System/Libraries

%description -n %{lib_name}
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{devel_name}
Summary:          Libraries and include files for developing with libsvg
Group:            Development/Libraries
Requires:         %{lib_name} = %{version}
Provides:         %{name}-devel = %{version}
Provides:         lib%{name}-devel = %{version}
Obsoletes:	  %{_lib}svg-cairo1-devel

%description -n %{devel_name}
This package provides the necessary development libraries and include
files to allow you to develop with libsvg-cairo.


%prep
%setup -q

%build
export LIBS="-lm"
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%files -n %{lib_name}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{devel_name}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libsvg-cairo.pc

%clean
rm -rf %buildroot


%changelog
* Fri Aug 22 2014 bb <bb> 0.1.6-9pclos2014
- rebuild new directfb
